Delete Sales Order Custom Field
curl --request DELETE \
--url https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/custom-fields/{customfieldId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/custom-fields/{customfieldId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/custom-fields/{customfieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Sales Order
Delete Sales Order Custom Field
Deletes the value of a specific custom field of a given sales order.
DELETE
/
v2
/
sales-orders
/
{salesOrderId}
/
custom-fields
/
{customfieldId}
Delete Sales Order Custom Field
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the sales order that the custom field belongs to.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the customfield that should be deleted.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
Was this page helpful?
⌘I